/* Listing 6: */

double dot(int n, double *x, double *y)
{
asm  fldz
     _SI = x;
     _DI = y;
     while (n--)
     {
asm  fld  qword ptr [si]
asm  add  si,8
asm  fmul qword ptr [di]
asm  add  di,8
asm  fadd
     }
}
